<?php
/*
Plugin Name: Cooking
Description: Declares a plugin that will create a custom post type displaying diffrent dish.
*/

add_action( 'init', 'create_cooking_review' );
add_filter( 'template_include', 'template_function', 1 );

function create_cooking_review() {
    register_post_type( 'Cooking',
        array(
            'labels' => array(
                'name' => 'Cooking',
                'singular_name' => 'Cooking',
                'add_new' => 'Add New',
                'add_new_item' => 'Add New Cooking',
                'edit' => 'Edit',
                'edit_item' => 'Edit Cooking',
                'new_item' => 'New Cooking',
                'view' => 'View',
                'view_item' => 'View Cooking',
                'search_items' => 'Search Cooking Reviews',
                'not_found' => 'No Cooking Reviews found',
                'not_found_in_trash' => 'No Cooking Reviews found in Trash',
                'parent' => 'Parent Cooking Review'
            ),
 
            'public' => true,
            'menu_position' => 10,
            'supports' => array( 'title', 'editor', 'comments', 'thumbnail', 'custom-fields' ),
        )
    );
}
 


function template_function( $template_path ) {
    if ( get_post_type() == 'Cooking' ) {
        if ( is_single() ) {
            // checks if the file exists in the theme first,
            // otherwise serve the file from the plugin
            if ( $theme_file = locate_template( array ( 'cooking.php' ) ) ) {
                $template_path = $theme_file;
            } else {
                $template_path = plugin_dir_path( __FILE__ ) . '/cooking.php';
            }
        }
    }
    return $template_path;
}
function HelloShortcode() {
	$html = '';
    $mypost = array( 'post_type' => 'cooking' );
    $loop = new WP_Query( $mypost );
     while ( $loop->have_posts() ) : $loop->the_post();
       
            $html .= '<div>';
			$html .= the_title();
            $html .= '</div>';
			$html .='<div><div class="entry-content">'. the_content() .'</div></div>';
			
			
 
           endwhile;

       return $html;
}
add_shortcode('helloworld', 'HelloShortcode');
?>